function Z=hh23(A)

% given A of size 2x3, compute Z a 3x3 orthogonal matrix
% such that A*Z=[0 x x; 0 0 x]

B=A';
[Z0,y0]=planerot(B(1:2,2));
B(1:2,:)=flipud(Z0)*B(1:2,:);
[Z1,y1]=planerot(B(2:3,2)); 
B(2:3,:)=flipud(Z1)*B(2:3,:);
[Z2,y2]=planerot(B(1:2,1));
B(1:2,:)=flipud(Z2)*B(1:2,:);
H0=[flipud(Z0) zeros(2,1); 0 0 1];
H1=[1 0 0; zeros(2,1) flipud(Z1)];
H2=[flipud(Z2) zeros(2,1); 0 0 1];
Z=H2*H1*H0;
Z=Z';
end